List tools exposed by a connection.
cURL
curl --request GET \ --url https://api.smithery.ai/connect/{namespace}/{connectionId}/.tools \ --header 'Authorization: Bearer <token>'
{ "tools": [ { "name": "<string>", "inputSchema": { "type": "<string>", "properties": {}, "required": [ "<string>" ] }, "title": "<string>", "icons": [ { "src": "<string>", "mimeType": "<string>", "sizes": [ "<string>" ], "theme": "light" } ], "description": "<string>", "outputSchema": { "type": "<string>", "properties": {}, "required": [ "<string>" ] }, "annotations": { "title": "<string>", "readOnlyHint": true, "destructiveHint": true, "idempotentHint": true, "openWorldHint": true }, "execution": { "taskSupport": "required" }, "_meta": {} } ] }
Documentation IndexFetch the complete documentation index at: https://smithery.ai/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Smithery API key as Bearer token
Tool list
Show child attributes
Was this page helpful?